<?php

namespace App\Filament\Resources\HeaderLogoResource\Pages;

use App\Filament\Resources\HeaderLogoResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;

class ListHeaderLogos extends ListRecords
{
    protected static string $resource = HeaderLogoResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->label('Add New Logo')
                ->visible(fn () => Gate::allows('create headerlogo')),
        ];
    }
}